<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">
<beans>
	<!-- 执行任务的处理类 -->
	<!-- 30天后返利的定时任务start -->
	<bean id="statJob3"
		class="com.iamberry.wechat.handles.order.orderListener.OrderListener" >
	</bean>
	<bean id="statJobTask3"
		class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
		<property name="targetObject" ref="statJob3" />
		<property name="targetMethod" value="executeTimerTask" />
		 <property name="concurrent" value="false" />
	</bean>
	
	<bean id="doTime3"
		class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" ref="statJobTask3" />
		<!-- cron表达式  秒 分 时 日 月  星期 年-->
		<property name="cronExpression" value="0 0/1 * * * ?" />
	</bean>
	<!-- 30天后返利的定时任务end -->
	
	<!-- 45分钟后订单关闭start -->
	<!--<bean id="closeOrder"
		class="com.iamberry.wechat.handles.order.orderListener.OrderCloseListener" ></bean>-->
		
	<!--<bean id="closeOrderTask"
		class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
		<property name="targetObject" ref="closeOrder" />
		<property name="targetMethod" value="closeOrderByCreateTime" />
		 <property name="concurrent" value="false" />
	</bean>-->
	<!--<bean id="closeOrderTime"
		class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" ref="closeOrderTask" />-->
		<!-- cron表达式  秒 分 时 日 月  星期 年-->
		<!--<property name="cronExpression" value="0 0/3 * * * ?" />
	</bean>-->
	<!-- 45分钟后订单关闭end -->
	
	<!-- 30分钟后租赁订单关闭start -->
	<!--<bean id="closeRentOrder"
		class="com.iamberry.rent.handlers.listener.RentOrderListener" ></bean>
		
	<bean id="closeRentOrderTask"
		class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
		<property name="targetObject" ref="closeRentOrder" />
		<property name="targetMethod" value="closeRentOrder" />
		 <property name="concurrent" value="false" />
	</bean>
	
	<bean id="closeRentOrderTime"
		class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" ref="closeRentOrderTask" />
		&lt;!&ndash; cron表达式  秒 分 时 日 月  星期 年&ndash;&gt;
		<property name="cronExpression" value="0 0/2 * * * ?" />
	</bean>-->
	<!-- 30分钟后租赁订单关闭end -->
	
	<!-- 轮询订单同步百胜信息start -->
	<bean id="efastOrder"
		class="com.iamberry.wechat.handles.order.orderListener.OrderEfastListener" ></bean>
		
	<bean id="efastOrderTask"
		class="org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean">
		<property name="targetObject" ref="efastOrder" />
		<property name="targetMethod" value="getEfastOrderInfo" />
		 <property name="concurrent" value="false" />
	</bean>
	
	<bean id="efastOrderTime"
		class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" ref="efastOrderTask" />
		<!-- cron表达式  秒 分 时 日 月  星期 年-->
		<property name="cronExpression" value="0 0 4 * * ? " />
	</bean>
	<!-- 轮询订单同步百胜信息end -->
	
	<!-- 添加触发器 -->
	<bean id="startQuertz3" lazy-init="false" autowire="no" 
		class="org.springframework.scheduling.quartz.SchedulerFactoryBean">
		<property name="triggers">
			<list>
				<ref local="doTime3" />
				<!--<ref local="closeOrderTime"/>-->
				<!--<ref local="closeRentOrderTime"/>-->
				<ref local="efastOrderTime" />
			</list>
		</property>
	</bean>
</beans>